# $Revision: 1.106 $, $Date: 2011/10/15 11:29:23 $
#
# Conditional build:
%bcond_without	x	# without X11/GTK+2 version
#
Summary:	Matt's Traceroute - network diagnostic tool
Summary(es.UTF-8):	Herramienta para diagnóstico de red, combinando ping/traceroute
Summary(pl.UTF-8):	Matt's Traceroute - narzędzie do diagnostyki sieci
Summary(pt_BR.UTF-8):	Ferramenta para diagnóstico da rede, combinando ping/traceroute
Summary(ru.UTF-8):	Matt's Traceroute - утилита для диагностики сети
Summary(uk.UTF-8):	Matt's Traceroute - утиліта для діагностики мережі
Name:		mtr
Version:	0.81
Release:	1
Epoch:		1
License:	GPL
Group:		Networking/Utilities
Source0:	ftp://ftp.bitwizard.nl/mtr/%{name}-%{version}.tar.gz
# Source0-md5:	b7a7914f1fc1b5a21ab10bdca44356e1
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-Makefile.patch
Patch1:		%{name}-resolv.patch
Patch2:		%{name}-mtr6.patch
Patch3:		%{name}-display.patch
Patch4:		%{name}-usage_first_max_hop.patch
Patch5:		%{name}-noraw.patch
Patch6:		%{name}-tinfo.patch
URL:		http://www.bitwizard.nl/mtr/
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_x:BuildRequires:	gtk+2-devel >= 2:2.6.0}
BuildRequires:	ncurses-devel >= 5.2
%{?with_x:BuildRequires:	pkgconfig}
Obsoletes:	mtr-ncurses
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
mtr combines the functionaly of the traceroute and ping programs in a
single network diagnostic tool. As mtr starts, it investigates the
network connection between the host mtr runs on and the destination.
After it determines the address of each network hop between the
machines, it sends a sequence ICMP ECHO requests to each one to
determine the quality of the link to each machine. As it does this, it
prints running statistics about each machine.

%description -l es.UTF-8
mtr es una herramienta para diagnóstico de la red que combina ping y
traceroute en un programa. Tiene dos interfaces, una ncurses, útil
para uso en sesiones telnet/ssh y una GTK+ para uso en el X Window.

%description -l pl.UTF-8
mtr jest narzędziem do diagnostyki sieci, łączącym funkcje
traceroute'a oraz pinga. Program ten śledzi trasę połączenia między
punktem z którego został uruchomiony, a punktem docelowym. Po
skompletowaniu listy punktów pośrednich przez które przechodzą pakiety
między tymi punktami do każdego z nich wysyłane są pakiety ICMP ECHO i
czasy odpowiedzi są następnie prezentowane na bieżąco.

%description -l pt_BR.UTF-8
O mtr é uma ferramenta para diagnóstico da rede que combina ping e
traceroute em um programa. Tem duas interfaces, uma ncurses, útil para
uso em sessões telnet/ssh e uma GTK+ para uso no X Window.

%description -l ru.UTF-8
mtr - это traceroute и ping в одном флаконе. При старте mtr исследует
сетевое соединение между машиной, на которой он запущен, и машиной,
заданной пользователем. После того, как он определит адреса каждого
хопа между этими двумя машинами, mtr посылает последовательность ICMP
ECHO запросов на каждый из хопов для определения качества линка с
каждой из машин. По мере того, как он это делает, mtr выводит текущую
статистику по каждой машине.

%description -l uk.UTF-8
mtr - це traceroute та ping в одному флаконі. При запуску mtr
досліджує мережеве з'єднання між машиною, на якій він запущений та
заданою користувачем. Після визначення адрес кожного хопу між цими
двома машинами, mtr посилає послідовність ICMP ECHO запитів на кожний
з хопів для визначення якості лінка до кожної з машин. В ході цього
процесу mtr виводить поточну статистику по кожній машині.

%package X11
Summary:	Matt's Traceroute - network diagnostic tool, X11 version
Summary(es.UTF-8):	Interface GTK+ para mtr
Summary(pl.UTF-8):	Matt's Traceroute - narzędzie do diagnostyki sieci, wersja X11
Summary(pt_BR.UTF-8):	Interface GTK+ para o mtr
Summary(ru.UTF-8):	Matt's Traceroute - утилита для диагностики сети
Summary(uk.UTF-8):	Matt's Traceroute - утиліта для діагностики мережі
Group:		Networking/Utilities
Obsoletes:	mtr-gtk

%description X11
mtr combines the functionaly of the traceroute and ping programs in a
single network diagnostic tool. As mtr starts, it investigates the
network connection between the host mtr runs on and the destination.
After it determines the address of each network hop between the
machines, it sends a sequence ICMP ECHO requests to each one to
determine the quality of the link to each machine. As it does this, it
prints running statistics about each machine.

%description X11 -l es.UTF-8
mtr es una herramienta para diagnóstico de la red que combina ping y
traceroute en un programa. Tiene dos interfaces, una ncurses, útil
para uso en sesiones telnet/ssh y una GTK+ para uso en el X Window.

%description X11 -l pl.UTF-8
mtr jest narzędziem do diagnostyki sieci, łączącym funkcje
traceroute'a oraz pinga. Program ten śledzi trasę połączenia między
punktem z którego został uruchomiony, a punktem docelowym. Po
skompletowaniu listy punktów pośrednich przez które przechodzą pakiety
między tymi punktami do każdego z nich wysyłane są pakiety ICMP ECHO i
czasy odpowiedzi są następnie prezentowane na bieżąco.

%description X11 -l pt_BR.UTF-8
O mtr é uma ferramenta para diagnóstico da rede que combina ping e
traceroute em um programa. Tem duas interfaces, uma ncurses, útil para
uso em sessões telnet/ssh e uma GTK+ para uso no X Window.

%description X11 -l ru.UTF-8
mtr - это traceroute и ping в одном флаконе. При старте mtr исследует
сетевое соединение между машиной, на которой он запущен, и машиной,
заданной пользователем. После того, как он определит адреса каждого
хопа между этими двумя машинами, mtr посылает последовательность ICMP
ECHO запросов на каждый из хопов для определения качества линка с
каждой из машин. По мере того, как он это делает, mtr выводит текущую
статистику по каждой машине.

%description X11 -l uk.UTF-8
mtr - це traceroute та ping в одному флаконі. При запуску mtr
досліджує мережеве з'єднання між машиною, на якій він запущений та
заданою користувачем. Після визначення адрес кожного хопу між цими
двома машинами, mtr посилає послідовність ICMP ECHO запитів на кожний
з хопів для визначення якості лінка до кожної з машин. В ході цього
процесу mtr виводить поточну статистику по кожній машині.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p0
%patch5 -p1
%patch6 -p1

echo 'AC_DEFUN([AM_PATH_GTK],[$3])' >> acinclude.m4
%{!?with_x:echo 'AC_DEFUN([AM_PATH_GTK_2_0],[$3])' >> acinclude.m4}

%build
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}

%if %{with x}
%configure \
	--with-gtk \
	--enable-ipv6

%{__make}
mv -f mtr mtr-gtk
%{__make} clean
%endif

%configure \
	--without-gtk \
	--enable-ipv6

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sbindir}

%{__make} install \
	sbindir=%{_bindir} \
	DESTDIR=$RPM_BUILD_ROOT

%if %{with x}
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}
install mtr-gtk $RPM_BUILD_ROOT%{_bindir}
ln -sf %{_bindir}/mtr-gtk $RPM_BUILD_ROOT%{_sbindir}
%endif

ln -sf %{_bindir}/mtr $RPM_BUILD_ROOT%{_sbindir}/mtr
ln -sf mtr $RPM_BUILD_ROOT%{_bindir}/mtr6

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README SECURITY
%attr(4754,root,adm) %{_bindir}/mtr
%attr(4754,root,adm) %{_bindir}/mtr6
%{_sbindir}/mtr
%{_mandir}/man8/*

%if %{with x}
%files X11
%defattr(644,root,root,755)
%attr(4754,root,adm) %{_bindir}/mtr-gtk
%{_sbindir}/mtr-gtk
%{_desktopdir}/mtr.desktop
%{_pixmapsdir}/mtr.png
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mtr.spec,v $
Revision 1.106  2011/10/15 11:29:23  qboosh
- updated to 0.81

Revision 1.105  2011/09/01 06:51:41  arekm
- rel 3; revert if

Revision 1.104  2011/09/01 06:50:51  arekm
- release 2

Revision 1.103  2011/01/29 00:07:02  sparky
- dropped pre-cvs changelog

Revision 1.102  2010/07/16 10:41:30  dirdival
- updated to 0.80

Revision 1.101  2010/06/11 06:59:28  dirdival
- updated to 0.79

Revision 1.100  2010/06/07 16:38:18  baggins
- updated to 0.78
- fix linking with ncurses/tinfo ('raw' symbol is in tinfo)

Revision 1.99  2008/10/29 13:36:12  paszczus
- updated to 0.75

Revision 1.98  2008/10/01 06:16:44  arekm
- rel 2; fix noraw patch update so mtr works again

Revision 1.97  2008/09/05 16:05:25  qboosh
- updated gtk+2 epoch

Revision 1.96  2008/09/05 13:33:58  paszczus
- updated to 0.74
- updated Patch5
- updated BR

Revision 1.95  2008/06/25 07:07:29  arekm
- up to 0.73

Revision 1.94  2008-03-12 20:38:24  arekm
- rel 4; enable more linux ready code (stupid/wrong ifdefs)

Revision 1.93  2008-03-12 20:32:47  arekm
- rel 3; don't use raw sockets when icmp one are enough

Revision 1.92  2008-01-05 14:28:16  undefine
- add mtr-usage_first_max_hop.patch - small usage update. waste time to search
  sources how to increate maxttl isn't nice ;)
- release 2

Revision 1.91  2007/02/13 07:16:48  glen
- tabs in preamble

Revision 1.90  2007/02/12 00:49:08  baggins
- converted to UTF-8

Revision 1.89  2006/10/06 08:54:13  qboosh
- updated to 0.72

Revision 1.88  2006/03/25 15:09:59  qboosh
- updated to 0.71, updated resolv patch, removed obsolete address patch

Revision 1.87  2006/01/21 00:01:17  arekm
- kill Icon: field (support for these is obsolete says jbj)

Revision 1.86  2005/09/18 09:52:23  marcus
- Received packets counter is back, rel.3.

Revision 1.85  2005/07/23 19:54:23  arekm
- rel2; fix --address option

Revision 1.84  2005/01/22 17:30:14  qboosh
- updated to 0.69; ipv6 already in sources - removed outdated patches
- updated Makefile patch
- added mtr6 patch (add mtr6 alias for "mtr -6")

Revision 1.83  2004/12/17 12:07:33  qboosh
- disabled fake mtr6 links (no ipv6 for mtr 0.6x)

Revision 1.82  2004/12/13 21:26:39  paszczus
- updated to 0.67

Revision 1.81  2004/11/27 18:52:08  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.80  2004/10/28 09:58:32  paladine
- "GTK+" unification (hope thats all)

Revision 1.79  2004/09/12 20:44:33  gotar
- moved from _sbindir to _bindir leaving symlink, release 0.2

Revision 1.78  2004/09/02 10:25:19  snurf
- typos / formatting / etc.

Revision 1.77  2004/08/26 19:25:35  qboosh
- 0.65 (ipv6 still todo)

Revision 1.76  2004/08/21 18:47:28  qboosh
- updated resolv patch; ipv6 patch NEEDS UPDATE
- really use gtk+2

Revision 1.75  2004/08/19 19:10:56  djrzulf
- updated to 0.64,
- Release 0.1,
- need to be tested at all archs :-)

Revision 1.74  2004/02/09 10:44:43  jajcus
- Release: 4
- made it build on AMD64/current Ac

Revision 1.73  2003/12/04 23:22:26  adgor
- Switched to vfolders
- /usr/X11R6/sbin/mtr -> /usr/sbin/mtr-gtk

Revision 1.72  2003/11/29 12:35:46  undefine
- release 2 to rebuild with ac

Revision 1.71  2003/10/20 13:16:54  qboosh
- define AM_PATH_GTK if without x to not BR gtk+-devel

Revision 1.70  2003/10/20 12:53:11  qboosh
- removed URL from v6 patch - we use modified version

Revision 1.69  2003/10/20 12:50:01  qboosh
- removed outdated comment, added bcond_without x

Revision 1.68  2003/09/12 13:02:46  baggins
- release 1
- mtr6 is back

Revision 1.67  2003/06/18 07:49:09  ankry
- md5, cleaning

Revision 1.66  2003/05/25 05:50:53  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.65  2003/05/11 13:07:42  qboosh
- added v6-notermbreak patch to avoid exit() with broken terminal
  (introduced by v6 patch)

Revision 1.64  2003/05/11 07:38:06  djrzulf
- fałszywy alarm, mtr działa po IPv6 ale nie ma już mtr6, jest za to
  mtr -6,
- TODO zaktualizowane,

Revision 1.63  2003/05/11 01:10:39  djrzulf
- release back to 0.1,
- ipv6 patch doesn't work,
- added TODO,

Revision 1.62  2003/05/03 17:20:17  kloczek
- updated to 0.54: added fix for raw mode and added scrolling in text mode.

Revision 1.61  2003/03/30 18:36:10  qboosh
- updated v6 patch from kame, added SA_LEN patch required by kame patch

Revision 1.60  2003/03/30 11:29:20  blues
- 0.52 - patches updates is waiting for volunteers

Revision 1.59  2002/11/27 18:27:39  juandon
- new %%doc

Revision 1.58  2002/10/09 13:14:41  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new
  %doc

Revision 1.57  2002/05/21 23:14:12  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.56  2002/05/16 15:48:12  kloczek
- updated to 0.51 (fixes http://bugs.pld.org.pl/?bug=191).

Revision 1.55  2002/05/09 05:45:44  kloczek
- updated to 0.50,
- merge translations from Conectiva.

Revision 1.54  2002/04/02 22:19:57  qboosh
- cosmetics, Obsoleted: mtr-gtk moved to -X11 subpackage

Revision 1.53  2002/04/02 18:36:15  kloczek
- removed using %%{__install} macro.

Revision 1.52  2002/04/02 13:44:57  blues
- release 1.5
- build in one pass gtk and ncurses version.
- builds, works...

Revision 1.51  2002/04/02 12:41:08  blues
- typo

Revision 1.50  2002/03/26 23:13:47  kloczek
- merge translations from KSI and new %desc and %desc -l pl based on KSI
  version.

Revision 1.49  2002/03/26 15:21:32  blues
- 0.49
STBR

Revision 1.48  2002/03/24 23:28:22  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.47  2002/03/06 19:52:28  baggins
- updated to 0.48

Revision 1.46  2002/02/23 03:54:21  kloczek
- adapterized.

Revision 1.45  2002/02/22 23:29:18  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.44  2002/01/31 21:31:04  ankry
- added Group(es/pt_BR)

Revision 1.43  2002/01/18 02:13:59  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.42  2001/08/11 01:00:14  kloczek
- release 7,
- added ac25x patch with fixex incorrect using ac comments (dnl) in
  configure.in,
- remove libtoolize call from %build and libtool from BuildRequires
  (isn't neccessary).

Revision 1.41  2001/06/28 14:19:06  kloczek
- release 6: changed permission on suid binaries to 4754/root.adm.

Revision 1.40  2001/06/14 10:15:46  waszi
- s/Networking/Network/

Revision 1.39  2001/05/22 09:06:32  wiget
- switch to new conditional builds macros
  (bcond_on_ -> _with_/bcond_off_ -> _without_);
  no release changes only simple s/// perfored

Revision 1.38  2001/05/19 17:55:55  baggins
- release 5
- new ipv6 patch - much smarter in name resolution

Revision 1.37  2001/05/19 15:40:26  baggins
- release 4
- working ipv6 patch

Revision 1.36  2001/05/19 01:59:30  baggins
- release 3
- permissions back to 4750 root.icmp
- added ipv6 support (looks they did it right this time)
- added mtr6 binary for easier use

Revision 1.35  2001/05/13 16:14:58  kloczek
- release 2: by default build version without X11/gtk+ frontend.

Revision 1.34  2001/05/12 23:28:39  kloczek
- updated to 0.44,
- added support for build conditionally without X11/gtk frontend,
- added to Obsoletes rules: mtr-gtk and mtr-ncurses,
- rebuild all am/ac/lt files.

Revision 1.33  2001/04/14 18:11:09  baggins
- removed last change (accidental)

Revision 1.31  2001/01/11 11:24:58  zagrodzki
- release 4
- changed perms/group on suid binaries

Revision 1.30  2000/11/12 20:11:55  kloczek
- modifications for using new rpm automation.

Revision 1.29  2000/07/13 23:16:15  baggins
- release 3
- rebuild with ncurses 5.1

Revision 1.28  2000/06/09 07:54:44  kloczek
- more %%{__make} macros.

Revision 1.27  2000/06/09 07:23:26  kloczek
- added using %%{__make} macro.

Revision 1.26  2000/06/07 03:33:09  kloczek
- spec adapterized.

Revision 1.25  2000/05/10 16:43:28  kloczek
- release 2,
- spec adapterized.

Revision 1.24  2000/04/07 10:43:56  mkochano
- Updated descriptions.

Revision 1.23  2000/04/01 11:14:54  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.22  2000/03/28 16:54:42  baggins
- translated kloczkish into english

Revision 1.21  2000/03/18 23:03:48  alchemyx
- new version;
- added DESTDIR in one place in Makefile;
- URL updated;

Revision 1.20  2000/02/20 10:33:21  raven
- Added Makefile patch for correct compile.

Revision 1.19  1999/11/17 02:01:09  kloczek
- build against ncurses 5.0,
- added ncurses-decel >= 5.0 to BuildRequires rules,
- added DESTDIR style %install,
- removed runing aclocal and autoconf in %build,
- added package icon.

Revision 1.18  1999/09/17 17:28:13  kravietz
- update to version 0.41

Revision 1.17  1999/07/20 12:48:09  wiget
- switch to rpm 3.0.2

Revision 1.16  1999/07/12 23:06:10  kloczek
- added using CVS keywords in %changelog (for automating them).
